<?php

include_once("../../formularios/data/connect.php");
include_once("../../formularios/data/funciones.php");

$op = $_GET['op'] ? $_GET['op'] : '';
$buscid = $_GET['buscid'] ? $_GET['buscid'] : 0;

xmlDoc();
print '<rows>'."\n";

switch($op)
{
	case 'contratos':
		$query = "SELECT IdContrato, Numero, EmpresaAdjudicataria, DATE_FORMAT(FechaInicioPrev,'%d/%m/%Y') FechaInicio, DATE_FORMAT(FechaFinalPrev,'%d/%m/%Y') FechaFinal, Importe FROM contratos WHERE IdPrograma = $buscid ORDER BY IdContrato";

		$RS = mysql_query($query);
		if(mysql_num_rows($RS))
		{
			while($row = mysql_fetch_array($RS))
			{
				print '<row id="'.$row['IdContrato'].'">
						   <cell>'.$row['Numero'].'</cell>
						   <cell>'.utf8_encode($row['EmpresaAdjudicataria']).'</cell>
						   <cell>'.$row['FechaInicio'].'</cell>
						   <cell>'.$row['FechaFinal'].'</cell>
						   <cell>'.number_format($row['Importe'],0).' €</cell>
					   </row>';
			}
		}
		else
		{
			print '<row id=0">
				   <cell></cell>
				   <cell>NO HAY CONTRATOS ADJUDICADOS</cell>
			   </row>';
		}
		break;

	case 'costo':
		$query = "SELECT Y.IdProyecto, Nombre, CostoTotal, CostoPresup, CostoReal, DATE_FORMAT(FechaInicioReal,'%d/%m/%Y') FechaInicioReal, DATE_FORMAT(FechaFinalReal,'%d/%m/%Y') FechaFinalReal, PorcentAvancePresup, PorcentAvanceReal, VariacionCosto FROM proyectos Y LEFT JOIN (SELECT PR.* FROM progreso PR, (SELECT IdProyecto, MAX(Fecha) AS Fecha FROM progreso GROUP BY IdProyecto)PR2 WHERE PR.IdProyecto = PR2.IdProyecto AND PR.Fecha = PR2.Fecha) R ON Y.IdProyecto = R.IdProyecto WHERE Y.IdPrograma = $buscid GROUP BY Y.IdProyecto";

		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			$costototal = $row['CostoTotal'];
			$costopresup = $row['CostoPresup'];
			$costoreal = $row['CostoReal']; 
			$avancepresup = $row['PorcentAvancePresup'];
			$avancereal = $row['PorcentAvanceReal'];
			$variacosto = $row['VariacionCosto'];
			$EV = $costototal * $avancereal / 100;
			if($EV > 0)
				$porcosto = $variacosto / $EV * 100;
			else
				$porcosto = 0;
				 
			print '<row id="'.$row['IdProyecto'].'">
					   <cell>'.$row['IdProyecto'].'</cell>
					   <cell>'.utf8_encode($row['Nombre']).'</cell>
					   <cell>'.number_format($costototal,0).' €</cell>
					   <cell>'.number_format($costoreal,0).' €</cell>
					   <cell>'.$row['FechaInicioReal'].'</cell>
					   <cell>'.$row['FechaFinalReal'].'</cell>
					   <cell>'.number_format($variacosto,0).' €</cell>
					   <cell>'.number_format($porcosto,2).' %</cell>
					   <cell>'.$avancepresup.' %</cell>
					   <cell>'.$avancereal.' %</cell>
				   </row>';
		}
		break;

	case 'historial':
		$query = "SELECT IdEvaluacion, DATE_FORMAT(Fecha,'%d/%m/%Y') AS Fecha, EvaluacionGeneral, EvaluacionCosto, EvaluacionPlan, EvaluacionResponsable FROM evaluaciones WHERE IdPrograma = $buscid ORDER BY Fecha DESC";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdEvaluacion'].'">
					   <cell>'.$row['Fecha'].'</cell>
					   <cell>'.$row['EvaluacionGeneral'].'</cell>
					   <cell>'.$row['EvaluacionCosto'].'</cell>
					   <cell>'.$row['EvaluacionPlan'].'</cell>
					   <cell>'.$row['EvaluacionResponsable'].'</cell>
				   </row>';
		}
		break;

	case 'responsable':
		$query = "SELECT IdEvaluacion, DATE_FORMAT(Fecha,'%d/%m/%Y') AS Fecha, EvaluacionResponsable, Comentario FROM evaluaciones WHERE IdPrograma = $buscid ORDER BY Fecha ASC";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdEvaluacion'].'">
					   <cell>'.$row['EvaluacionResponsable'].'</cell>
					   <cell>'.$row['Fecha'].'</cell>
					   <cell>'.$row['Comentario'].'</cell>
				   </row>';
		}
		break;

	case 'plan':
		$query = "SELECT Y.IdProyecto, Nombre, CostoTotal, CostoPresup, CostoReal, DATE_FORMAT(FechaInicioPresup,'%d/%m/%Y') FechaInicioPresup, DATE_FORMAT(FechaInicioReal,'%d/%m/%Y') FechaInicioReal, DATE_FORMAT(FechaFinalPresup,'%d/%m/%Y') FechaFinalPresup, DATE_FORMAT(FechaFinalReal,'%d/%m/%Y') FechaFinalReal, PorcentAvancePresup, PorcentAvanceReal, VariacionPlanDias FROM proyectos Y LEFT JOIN (SELECT PR.* FROM progreso PR, (SELECT IdProyecto, MAX(Fecha) AS Fecha FROM progreso GROUP BY IdProyecto)PR2 WHERE PR.IdProyecto = PR2.IdProyecto AND PR.Fecha = PR2.Fecha) R ON Y.IdProyecto = R.IdProyecto WHERE Y.IdPrograma = $buscid GROUP BY Y.IdProyecto";

		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			$avancepresup = $row['PorcentAvancePresup'];
			$avancereal = $row['PorcentAvanceReal'];
				 
			print '<row id="'.$row['IdProyecto'].'">
					   <cell>'.$row['IdProyecto'].'</cell>
					   <cell>'.utf8_encode($row['Nombre']).'</cell>
					   <cell>'.$row['FechaInicioPresup'].'</cell>
					   <cell>'.$row['FechaInicioReal'].'</cell>
					   <cell>'.$row['FechaFinalPresup'].'</cell>
					   <cell>'.$row['FechaFinalReal'].'</cell>
					   <cell>'.$row['VariacionPlanDias'].'</cell>
					   <cell>'.$avancepresup.' %</cell>
					   <cell>'.$avancereal.' %</cell>
				   </row>';
		}
		break;
}

print '</rows>';

?>